Get the availability for FX markets
curl --request GET \
--url https://{environment}.ebury.io/quotes/fx-availability \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/quotes/fx-availability"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-key': '<api-key>'}
};
fetch('https://{environment}.ebury.io/quotes/fx-availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fx_available": true
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Getting Quotes
Get the availability for FX markets
GET
/
quotes
/
fx-availability
Get the availability for FX markets
The endpoint can be used to understand if foreign exchange can be initiated at that time or not. It is useful in instances which want to proactively manage whether or not to allow the user to attempt FX rather than throwing an error after the FX initiation request.
Authorizations
An API Key.
Query Parameters
The ID of the client
Response
Get if the FX markets are available at the time or not
True if FX markets are available at this time, False otherwise.